=== debian/changelog ===
compiz (1:0.9.13.1+18.04.20180302-1) unstable; urgency=medium

  * New upstream snapshot.
    - debian/compiz-core.lintian-overrides: Bump ABI.
  * rules: Re-enable metacity support, now that Compiz caught up.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 16 Apr 2018 19:07:30 +0200

compiz (1:0.9.13.1+18.04.20171116-1) unstable; urgency=medium

  * New upstream release and snapshot.
    - compiz-core.lintian-overrides: Update soname.
  * control: Add myself as uploader.
  * rules: Include architecture.mk instead of defining DEB_* variables.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 20 Feb 2018 18:49:17 +0100

compiz (1:0.9.13.0+16.10.20160818.2-6) UNRELEASED; urgency=medium

  * Add Vcs-* fields.

 -- Cyril Brulebois <cyril@debamax.com>  Mon, 08 Jan 2018 14:54:47 +0100

compiz (1:0.9.13.0+16.10.20160818.2-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * compiz-plugins-default: Fix upgrading from the squeeze packages by adding
    Breaks+Replaces: compiz-core (<< 1:0.9.4+bzr20110606-0ubuntu3).
    (Closes: #860780)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 31 May 2017 00:18:42 +0200

compiz (1:0.9.13.0+16.10.20160818.2-5) unstable; urgency=medium

  * Adjust 65compiz_profile-on-session to look at x-session-manager
    alternatives when the session is set to lightdm-xsession, and use
    the mate profile when /usr/bin/mate-session is detected
    (Closes: #848636).

 -- Cyril Brulebois <cyril@debamax.com>  Mon, 13 Feb 2017 14:10:42 +0100

compiz (1:0.9.13.0+16.10.20160818.2-4) unstable; urgency=medium

  * Use override_dh_builddeb-arch instead of override_dh_builddeb for
    the SHLIBS workaround, so that one only tries to apply it when
    building arch:any packages. This fixes the FTBFS on the arch:all
    autobuilder; thanks to Santiago Vila for the report and the patch
    (Closes: #848710).

 -- Cyril Brulebois <cyril@debamax.com>  Tue, 20 Dec 2016 01:54:57 +0100

compiz (1:0.9.13.0+16.10.20160818.2-3) unstable; urgency=medium

  * Fix missing attributions in debian/copyright (Closes: #848545):
     - List copyright holders for all po/* files.
     - List copyright holders for some cmake files.
     - List copyright holders for some gtk window decorator files.
     - List copyright holder for some animationplus files.
     - List copyright holders for borrowed files in libdecoration.
     - List copyright holders for all plugins.

 -- Cyril Brulebois <cyril@debamax.com>  Mon, 19 Dec 2016 01:13:44 +0100

compiz (1:0.9.13.0+16.10.20160818.2-2) unstable; urgency=medium

  * Remove Multi-Arch headers since no/same/allowed values aren't
    supported in Debian, leading to an autoreject. That can be figured
    out properly later on.

 -- Cyril Brulebois <cyril@debamax.com>  Sat, 17 Dec 2016 00:49:21 +0100

compiz (1:0.9.13.0+16.10.20160818.2-1) unstable; urgency=medium

  * Reintroduce compiz inside Debian as it's useful on the accessibility
    level (e.g. through its zoom plugin). Synchronize it from Ubuntu as
    it is mainly maintained/developed there, and adopt the versioning
    scheme to avoid diverging too much. (Closes: #722451)
  * Set Maintainer to Hypra Team, Uploaders to myself, and remove
    Ubuntu-specific XSBC-Original-Maintainer field.
  * Remove Vcs-Bzr field (it's not pointing to trunk anyway) since Debian
    packaging doesn't live on launchpad.
  * Disable migrations and translations debhelper addons as those aren't
    available in Debian, at least for the time being.
  * Disable xorg-gtest support since it's not available in Debian:
     - Remove libxorg-gtest-dev from build-deps.
     - Also use -DBUILD_XORG_GTEST=OFF on non-gles2 architectures.
  * Try disabling metacity support since the bump from 3.20 to 3.22 made
    private a bunch of items the gtk window decorator was relying on
    (see #1629749 in LP).
  * Work around package-contains-cmake-private-file lintian tags by not
    shipping cmake files for the time being, for these two packages:
    compiz-dev and libcompizconfig0-dev.
  * Remove '*.cmake' files using find before dh_install, since it's called
    with the --fail-missing option.
  * Make the removal of LibCompizConfigCommon.cmake from compiz-dev
    non-fatal accordingly.
  * Update lintian override for compiz-core: bumped ABI.
  * Add workaround for a possible dh_makeshlibs bug: missing ldconfig
    trigger for compiz-gnome; added manually for now in an dh_builddeb
    override.
  * Drop gnome-settings-daemon-schemas from compiz-gnome's Depends since
    it's Ubuntu-specific, and was added for Unity support.
  * Fix missing copyright notice for:
     - debian/00_remove_obsolete_plugins_in_unity_session_v3.py
     - compizconfig/libcompizconfig/src/iniparser.h
  * Add an empty series file to please lintian. Patches will be added in
    the next uploads anyway, along with the quilt dh add-on.
  * Add README.source, mainly pointing at the Debian homepage for now:
    https://compiz.alioth.debian.org/

 -- Cyril Brulebois <cyril@debamax.com>  Fri, 04 Nov 2016 01:51:48 +0100
